#!groovy
/*
   Copyright 2017-2019 Jan Dittberner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this program except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
pipeline {
    agent any

    environment {
        GOPATH = "${pwd(tmp: true)}/gocode"
        PATH = "${GOPATH}/bin:${PATH}"
    }

    stages {
        stage('Install go-bindata') {
            steps {
                sh "mkdir -p '${GOPATH}/bin'"
                sh "cd '${GOPATH}/bin'"
                sh "go get -u -v github.com/shuLhan/go-bindata/cmd/go-bindata"
            }
        }
        stage('Build') {
            steps {
                sh "make distclean && make BUILD='${env.BUILD_TAG}'"
            }
        }
        stage('Create build output') {
            steps {
                archiveArtifacts artifacts: 'cacert-boardvoting,config.yaml.example'
            }
        }
    }
}
